%define		plugin	cookie
Summary:	jQuery Cookie plugin
Name:		jquery-%{plugin}
Version:	1.2.0
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	https://github.com/carhartl/jquery-cookie/archive/v%{version}.tar.gz
# Source0-md5:	573ad639cbfeb66760300dfaaff95322
URL:		http://plugins.jquery.com/cookie/
BuildRequires:	js
BuildRequires:	rpmbuild(macros) > 1.268
BuildRequires:	closure-compiler
Requires:	jquery >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/jquery/%{plugin}

%description
A simple, lightweight utility plugin for reading, writing and deleting
cookies.

%prep
%setup -q

%build
install -d build
# compress .js
for js in jquery.cookie.js; do
	out=build/${js#*/jquery.}
%if 0%{!?debug:1}
	closure-compiler --js $js --charset UTF-8 --js_output_file $out
	js -C -f $out
%else
	cp -p $js $out
%endif
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -p jquery.cookie.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.js
cp -p build/jquery.cookie.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.min.js
ln -s %{plugin}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.js
ln -s %{plugin}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.min.js
ln -s %{plugin}-%{version}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.src.js

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md
%{_appdir}
%changelog
* Tue May 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery-cookie.git;a=log;h=master

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> 5427186
- minify with closure-compier

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> f6f5125
- up to 1.2

* Mon Jul 09 2012 Elan Ruusamäe <glen@delfi.ee> bb4fdca
- update to 1.1, cookie plus decode fix included

* Mon Dec 05 2011 Elan Ruusamäe <glen@pld-linux.org> d07f63e
- patch issue 13. it takes too fucking forever for upstream to apply it

* Mon May 09 2011 Elan Ruusamäe <glen@pld-linux.org> ed5910a
- it is version 1.0, update url and grab latest

* Thu Dec 16 2010 Elan Ruusamäe <glen@pld-linux.org> 03e1a5e
- initial

